Get Postman Collection
We have a Postman collection to make the integration quicker and easier. You can try out our APIs on the Razorpay Postman Public Workspace.Create
Each BharatQR is mapped to a virtual account. In order to generate a BharatQR, a virtual account must be created with the appropriate receiver type. The receiver defines the method of payment collection. In the case of BharatQR, the receiver type is QR Code which allows you to accept payments made via UPI or Cards. /virtual_accountsRequest
Request Parameters
receivers mandatory
: array consisting of configured receivers types.
types mandatory
: array The receiver type. Here, it will be qr_code.
description optional
: string A brief description of the payment.
customer_id optional
: string Unique identifier of customer for whom BharatQR is being created. Refer Customer API.
notes optional
: object consisting of key value pairs as notes. Refer here for more details.
amount_expected optional
: integer The maximum amount you expect to receive in this virtual account. Pass 69999 for ₹699.99.
Response Parameters
id
: string The unique identifier of the generated QR code. A sample id for a QR code will look like this: qr_4lsdkfldlteskf.
entity
: string The name of the response entity. Here, it is qr_code.
reference
: string A 14-digit reference number or a receipt for the payment. It will be the same as the value of id without the prefix qr_. A sample reference value will look like this: 4lsdkfldlteskf.
short_url
: The URL of the QR code. A sample short URL looks like this http://rzp.io/l6MS. Clicking on the link will download the code. This will be useful for offline merchants.
status
: The status of the payment. It can have two values, active and closed.
Fetch a Payment
The following endpoint retrieves details of a specific payment. /virtual_accounts/:idCurl
Fetch All Payments
The following endpoint retrieves details of all the payments. /virtual_accountsCurl
Close
/virtual_accounts/:id/closePath Parameter
id mandatory
: stringThe unique identifier of the virtual account that is to be closed.
Request